package mvd.jester.model;

public class SubtaskContext {
    private long wcet;
    private final Subtask job;

    public SubtaskContext(final Subtask job) {
        this.wcet = job.getWcet();
        this.job = job;
    }

    /**
     * @return the job
     */
    public Subtask getJob() {
        return job;
    }

    /**
     * @return the wcet
     */
    public long getWcet() {
        return wcet;
    }

    /**
     * @param wcet the wcet to set
     */
    public void setWcet(final long wcet) {
        this.wcet = wcet;
    }
}
